import { createApp } from "vue";
import "./style.css";
import Antd from "ant-design-vue";
import { createPinia } from "pinia";
import App from "./App.vue";
import router from "./router";
import { library } from "@fortawesome/fontawesome-svg-core";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import {
  faTv,
  faChartPie,
  faBell,
  faUser,
  faDesktop,
  faCog,
  faSearch,
  faHome,
  faUserCircle,
  faUserEdit,
  faInfoCircle,
  faSignOutAlt,
  faAngleDown,
  faLeaf,
  faBolt,
  faChargingStation
} from "@fortawesome/free-solid-svg-icons";
library.add(
  faTv,
  faChartPie,
  faBell,
  faUser,
  faDesktop,
  faCog,
  faSearch,
  faHome,
  faUserCircle,
  faUserEdit,
  faInfoCircle,
  faSignOutAlt,
  faAngleDown,
  faLeaf,
  faBolt,
  faChargingStation
);
const pinia = createPinia();
const app = createApp(App);
app.component("font-awesome-icon", FontAwesomeIcon);
app.use(pinia);
app.use(router);
app.use(Antd);
app.mount("#app");
