import { createRouter, createWebHashHistory } from "vue-router";
import DashboardPage from "@/views/dashboard/DashboardPage.vue";
import SystemPage from "@/views/system/SystemPage.vue";
import EnergyChart from "@/views/energy/EnergyChart.vue"; 
import NotFound from "@/views/system/NotFound.vue";

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      name: "dashboardPage",
      component: DashboardPage,
    },
    {
      path: "/baja",
      name: "baja",
      component: SystemPage,
    },
    {
      path: "/energy", 
      name: "energy",
      component: EnergyChart,
    },
    {
      path: '/:pathMatch(.*)*', // 匹配所有未定義的路徑
      name: 'NotFound',
      component: NotFound
    }
  ],
});

export default router;
